pcl::recognition::RotationSpaceCreator Class Reference

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Public Member Functions

| RotationSpaceCreator ()
virtual | ~RotationSpaceCreator ()
RotationSpace * | create (const SimpleOctree< RotationSpace, RotationSpaceCreator, float >::Node *leaf)
void | setDiscretization (float value)
int | getNumberOfRotationSpaces () const
const std::list< RotationSpace * > & | getRotationSpaces () const
std::list< RotationSpace * > & | getRotationSpaces ()
void | reset ()

## Protected Attributes

float | discretization_
int | counter_
std::list< RotationSpace * > | rotation_spaces_

## Detailed Description

Definition at line 294 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

## RotationSpaceCreator()

pcl::recognition::RotationSpaceCreator::RotationSpaceCreator | ( |  | ) |

inline

Definition at line 297 of file rigid_transform_space.h.

## ~RotationSpaceCreator()

virtual pcl::recognition::RotationSpaceCreator::~RotationSpaceCreator | ( |  | ) |

inline virtual

Definition at line 301 of file rigid_transform_space.h.

## Member Function Documentation

## create()

RotationSpace* pcl::recognition::RotationSpaceCreator::create | ( | const SimpleOctree< RotationSpace, RotationSpaceCreator, float >::Node * | leaf | ) |

inline

Definition at line 303 of file rigid_transform_space.h.

References pcl::recognition::RotationSpace::setCenter().

## getNumberOfRotationSpaces()

int pcl::recognition::RotationSpaceCreator::getNumberOfRotationSpaces | ( |  | ) | const

inline

Definition at line 318 of file rigid_transform_space.h.

## getRotationSpaces() [1/2]

const std::list<RotationSpace*>& pcl::recognition::RotationSpaceCreator::getRotationSpaces | ( |  | ) | const

inline

Definition at line 321 of file rigid_transform_space.h.

## getRotationSpaces() [2/2]

std::list<RotationSpace*>& pcl::recognition::RotationSpaceCreator::getRotationSpaces | ( |  | ) |

inline

Definition at line 324 of file rigid_transform_space.h.

## reset()

void pcl::recognition::RotationSpaceCreator::reset | ( |  | ) |

inline

Definition at line 327 of file rigid_transform_space.h.

## setDiscretization()

void pcl::recognition::RotationSpaceCreator::setDiscretization | ( | float | value | ) |

inline

Definition at line 315 of file rigid_transform_space.h.

## Member Data Documentation

## counter_

int pcl::recognition::RotationSpaceCreator::counter_

protected

Definition at line 335 of file rigid_transform_space.h.

## discretization_

float pcl::recognition::RotationSpaceCreator::discretization_

protected

Definition at line 334 of file rigid_transform_space.h.

## rotation_spaces_

std::list<RotationSpace*> pcl::recognition::RotationSpaceCreator::rotation_spaces_

protected

Definition at line 336 of file rigid_transform_space.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/ransac_based/rigid_transform_space.h